Select
The Select control is based on the HTML <select> tag. It allows selecting an option from a drop-down list of options. You can fill Select with options in a handy way, specify the selected value, add a label or a placeholder for the connected text field, initialize a disabled select, provide error styling for form validation.

Related resources
- Get the widget by installing the
@svar-ui/svelte-corepackage. - Check Select API Reference to see the list of configuration properties.
- Explore the samples to visualize the available features.
Initialization
To create a Select instance on a page, you need to complete two steps:
- import the source file of the control on a page:
<script>
import { Select } from "@svar-ui/svelte-core";
</script>
- use the
<Select>tag to initialize the control:
<Select />
The default select is initialized with no options.
Loading options
You can add options into Select on its initialization or after it. To begin with, you need to define a data set.
Preparing a data set
A data set will contain Select options. You need to specify them as objects with properties presented as key:value pairs. Below you can see an example data set which contains a list of users:
const users = [
{
id: 87,
label: "Berni Mayou",
email: "bern.mayour@mail.com"
},
{
id: 97,
label: "August Dvorak",
email: "dvor.august@gmail.com"
},
{
id: 98,
label: "Elly Soyer",
email: "elly.soyer@example"
}
]
Loading options on initialization
To load a prepared data set on initialization of Select, you should use the options property:
<script>
const users = [
{
id: 87,
label: "Berni Mayou",
email: "bern.mayour@mail.com",
},
// more options
]
</script>
<Select options={users} />
Loading options after initialization
You can load options into Select after its initialization from a separate JS file. First, prepare a file with data, name it "userlist" and export the desired data set:
export const users = [
{
id: 87,
label: "Berni Mayou"
},
{
id: 97,
label: "August Dvorak"
},
{
id: 98,
label: "Elly Soyer"
}
]
When a data set is ready, you can import it into your application and set the name of the data set as a value of the options property:
<script>
import { Select } from "@svar-ui/svelte-core";
import { users } from "../your_data/userlist";
</script>
<Select options={users} />
Related sample: Select
Setting the value
You can specify which one of the provided options should be rendered in the input field of the control. Use the value property to set the id of the selected value:
<script>
const dataset = [
{id: 1, label: "First option"},
{id: 2, label: "Second option"},
{id: 3, label: "Third option"}
]
</script>
<Select options={dataset} value={1} />

If the value isn't set, the text field will be rendered empty. Here's where a placeholder may be useful.

Related sample: Select
Getting the current value
You can get the value of the option selected at the moment. For this, you need to:
- specify a variable that will contain the Select value (it may contain the initial value):
<script>
import { Select } from "@svar-ui/svelte-core";
const dataset = [
{id: 1, label: "First option"},
{id: 2, label: "Second option"},
{id: 3, label: "Third option"}
]
let selected = 2;
</script>
- bind the variable to the
valueproperty of the control:
<Select options={dataset} bind:value={selected}/>
If the name of the variable matches its value, you can use the shorthand while binding the property:
<script>
import { Select } from "@svar-ui/svelte-core";
const dataset = [
{id: 1, label: "First option"},
{id: 2, label: "Second option"},
{id: 3, label: "Third option"}
]
let value = 2;
</script>
<Select options={dataset} bind:value/>
After that the value assigned to the bound variable will be updated on each change of the selected option.
Related sample: Select
Catching the change of the selected option
In case you need to catch the change of the selected option, you can do it by handling the change event. Inside the event you can get the value of the newly selected option in the following way:
<script>
function handleChange({value}) {
console.log(value);
// id of a new selected option
}
</script>
<Select options={dataset} onchange={handleChange}/>
The handler function of the change event takes an object with an id of the newly selected option.
Configuring the text of the selected option
You can specify the text of which field to show in the input for the selected option. To complete this task, use the textField property. As a value of this property you need to set the key of the field, the text of which you want to display in the input when the option is selected. The default value is "label".
<script>
const users = [
{
id:1,
label: "Berni Mayou",
email: "bern.mayour@mail.com",
},
{
id:2,
label: "August Dvorak",
email: "dvor.august@gmail.com",
},
{
id:3,
label: "Elly Soyer",
email: "elly.soyer@example",
}
]
</script>
<Select options={users} textField="email" />
In the above example the list of options displays the values of the label attributes. The textField property defines that the value of the email attribute is shown in the text field on selection of an option from the list.
Related sample: Select
Adding the Clear button
The Clear button allows clearing the selected option from the control's input.
To add the Clear button into the input, use the clear property:
<Select options={users} clear />
Related sample: Select
Adding a title
A title is a tooltip text that appears on hovering the mouse cursor over the input and may contain some extra information about the control. Use the title property to add a tooltip for a select:
<Select error options={users} title="Invalid option" />
Related sample: Select
Adding a placeholder for the text field
You can add a placeholder inside the text field of Select. The placeholder can contain some prompting message to make interaction with the control simpler. To set the text of a placeholder, use the placeholder property:
<Select placeholder="Select an option"/>
For a placeholder to be visible in the input, a select should be initialized without the initial value specified.
Setting the disabled state
Whenever you need to render a disabled select, you can do it with the help of the disabled property set to the true value:
<Select disabled={true}/>
It is also possible to set a select to the disabled state by declaring the property with no value:
<Select disabled />
Related sample: Select
Adding a label
A default select has no label. To add it, you can use the Field component and complete several steps:
- include the Field source file on a page, declare the
<Field>tag and complete it with the necessary props:- add a desired label via the
labelproperty - optionally, set the
position="left"property, if you want to place the label to the left of the select - specify the id variable to bind the field and select controls
- add a desired label via the
<script>
import { Select, Field } from "@svar-ui/svelte-core";
</script>
<Field label="Details" position="left">{#snippet children(id)}{/snippet}</Field>
After that, wrap the select in question in the <Field> tags and specify the id property for the select:
<Field label="Details" position="left">
{#snippet children(id)}<Select {id} />{/snippet}
</Field>
Related sample: Select
Styling an option validation error
When you use a select inside a form and a wrong option value is passed to the control, you can use error styling to show that validation has failed. Once you've set the error property to true (or just specified the property without a value):
<Select error={true}/>
the input's border and the option's text become red. To make the label red as well, use the error property of the Field control.
<script>
import { Select, Field } from "@svar-ui/svelte-core";
</script>
<Field label="Error" error>
{#snippet children(id)}<Select error {id}/>{/snippet}
</Field>
Related sample: Select

Select
The Select control is based on the HTML <select> tag. It allows selecting an option from a drop-down list of options. You can fill Select with options in a handy way, specify the selected value, add a label or a placeholder for the connected text field, initialize a disabled select, provide error styling for form validation.

Related resources
- Get the widget by installing the
@svar-ui/vue-corepackage. - Check Select API Reference to see the list of configuration properties.
- Explore the samples to visualize the available features.
Initialization
To create a Select instance on a page, you need to complete two steps:
- import the source file of the control on a page:
<script setup>
import { Select } from "@svar-ui/vue-core";
</script>
- use the
<Select>tag to initialize the control:
<template>
<Select />
</template>
The default select is initialized with no options.
Loading options
You can add options into Select on its initialization or after it. To begin with, you need to define a data set.
Preparing a data set
A data set will contain Select options. You need to specify them as objects with properties presented as key:value pairs. Below you can see an example data set which contains a list of users:
const users = [
{
id: 87,
label: "Berni Mayou",
email: "bern.mayour@mail.com"
},
{
id: 97,
label: "August Dvorak",
email: "dvor.august@gmail.com"
},
{
id: 98,
label: "Elly Soyer",
email: "elly.soyer@example"
}
]
Loading options on initialization
To load a prepared data set on initialization of Select, you should use the options property:
<script setup>
const users = [
{
id: 87,
label: "Berni Mayou",
email: "bern.mayour@mail.com",
},
// more options
]
</script>
<template>
<Select :options="users" />
</template>
Loading options after initialization
You can load options into Select after its initialization from a separate JS file. First, prepare a file with data, name it "userlist" and export the desired data set:
export const users = [
{
id: 87,
label: "Berni Mayou"
},
{
id: 97,
label: "August Dvorak"
},
{
id: 98,
label: "Elly Soyer"
}
]
When a data set is ready, you can import it into your application and set the name of the data set as a value of the options property:
<script setup>
import { Select } from "@svar-ui/vue-core";
import { users } from "../your_data/userlist";
</script>
<template>
<Select :options="users" />
</template>
Related sample: Select
Setting the value
You can specify which one of the provided options should be rendered in the input field of the control. Use the value property to set the id of the selected value:
<script setup>
const dataset = [
{id: 1, label: "First option"},
{id: 2, label: "Second option"},
{id: 3, label: "Third option"}
]
</script>
<template>
<Select :options="dataset" :value="1" />
</template>

If the value isn't set, the text field will be rendered empty. Here's where a placeholder may be useful.

Related sample: Select
Getting the current value
You can get the value of the option selected at the moment. For this, you need to:
- specify a variable that will contain the Select value (it may contain the initial value):
<script setup>
import { ref } from "vue";
import { Select } from "@svar-ui/vue-core";
const dataset = [
{id: 1, label: "First option"},
{id: 2, label: "Second option"},
{id: 3, label: "Third option"}
]
const selected = ref(2);
</script>
- bind the variable to the
valueproperty of the control:
<template>
<Select :options="dataset" v-model:value="selected"/>
</template>
If the name of the variable matches its value, you can use the same approach while binding the property:
<script setup>
import { ref } from "vue";
import { Select } from "@svar-ui/vue-core";
const dataset = [
{id: 1, label: "First option"},
{id: 2, label: "Second option"},
{id: 3, label: "Third option"}
]
const value = ref(2);
</script>
<template>
<Select :options="dataset" v-model:value="value"/>
</template>
After that the value assigned to the bound variable will be updated on each change of the selected option.
Related sample: Select
Catching the change of the selected option
In case you need to catch the change of the selected option, you can do it by handling the change event. Inside the event you can get the value of the newly selected option in the following way:
<script setup>
function handleChange({value}) {
console.log(value);
// id of a new selected option
}
</script>
<template>
<Select :options="dataset" :onchange="handleChange"/>
</template>
The handler function of the change event takes an object with an id of the newly selected option.
Configuring the text of the selected option
You can specify the text of which field to show in the input for the selected option. To complete this task, use the textField property. As a value of this property you need to set the key of the field, the text of which you want to display in the input when the option is selected. The default value is "label".
<script setup>
const users = [
{
id:1,
label: "Berni Mayou",
email: "bern.mayour@mail.com",
},
{
id:2,
label: "August Dvorak",
email: "dvor.august@gmail.com",
},
{
id:3,
label: "Elly Soyer",
email: "elly.soyer@example",
}
]
</script>
<template>
<Select :options="users" textField="email" />
</template>
In the above example the list of options displays the values of the label attributes. The textField property defines that the value of the email attribute is shown in the text field on selection of an option from the list.
Related sample: Select
Adding the Clear button
The Clear button allows clearing the selected option from the control's input.
To add the Clear button into the input, use the clear property:
<template>
<Select :options="users" clear />
</template>
Related sample: Select
Adding a title
A title is a tooltip text that appears on hovering the mouse cursor over the input and may contain some extra information about the control. Use the title property to add a tooltip for a select:
<template>
<Select error :options="users" title="Invalid option" />
</template>
Related sample: Select
Adding a placeholder for the text field
You can add a placeholder inside the text field of Select. The placeholder can contain some prompting message to make interaction with the control simpler. To set the text of a placeholder, use the placeholder property:
<template>
<Select placeholder="Select an option"/>
</template>
For a placeholder to be visible in the input, a select should be initialized without the initial value specified.
Setting the disabled state
Whenever you need to render a disabled select, you can do it with the help of the disabled property set to the true value:
<template>
<Select :disabled="true"/>
</template>
It is also possible to set a select to the disabled state by declaring the property with no value:
<template>
<Select disabled />
</template>
Related sample: Select
Adding a label
A default select has no label. To add it, you can use the Field component and complete several steps:
- include the Field source file on a page, declare the
<Field>tag and complete it with the necessary props:- add a desired label via the
labelproperty - optionally, set the
position="left"property, if you want to place the label to the left of the select
- add a desired label via the
<script setup>
import { Select, Field } from "@svar-ui/vue-core";
</script>
<template>
<Field label="Details" position="left" />
</template>
After that, wrap the select into the <Field> tag. The Field component automatically generates an id for the inner control, which creates label-input association.
<template>
<Field label="Details" position="left">
<Select />
</Field>
</template>
Related sample: Select
Styling an option validation error
When you use a select inside a form and a wrong option value is passed to the control, you can use error styling to show that validation has failed. Once you've set the error property to true (or just specified the property without a value):
<template>
<Select :error="true"/>
</template>
the input's border and the option's text become red. To make the label red as well, use the error property of the Field control.
<script setup>
import { Select, Field } from "@svar-ui/vue-core";
</script>
<template>
<Field label="Error" error>
<Select error />
</Field>
</template>
Related sample: Select

Select
The Select control is based on the HTML <select> tag. It allows selecting an option from a drop-down list of options. You can fill Select with options in a handy way, specify the selected value, add a label or a placeholder for the connected text field, initialize a disabled select, provide error styling for form validation.

Related resources
- Get the widget by installing the
@svar-ui/react-corepackage. - Check Select API Reference to see the list of configuration properties.
- Explore the samples to visualize the available features.
Initialization
To create a Select instance on a page, you need to complete two steps:
- import the source file of the control on a page:
import { Select } from "@svar-ui/react-core";
- use the
<Select>tag to initialize the control (in a React component):
import { Select } from "@svar-ui/react-core";
export default function App() {
return <Select />;
}
The default select is initialized with no options.
Loading options
You can add options into Select on its initialization or after it. To begin with, you need to define a data set.
Preparing a data set
A data set will contain Select options. You need to specify them as objects with properties presented as key:value pairs. Below you can see an example data set which contains a list of users:
const users = [
{
id: 87,
label: "Berni Mayou",
email: "bern.mayour@mail.com"
},
{
id: 97,
label: "August Dvorak",
email: "dvor.august@gmail.com"
},
{
id: 98,
label: "Elly Soyer",
email: "elly.soyer@example"
}
];
Loading options on initialization
To load a prepared data set on initialization of Select, you should use the options property:
import { Select } from "@svar-ui/react-core";
const users = [
{
id: 87,
label: "Berni Mayou",
email: "bern.mayour@mail.com",
},
// more options
];
export default function App() {
return <Select options={users} />;
}
Loading options after initialization
You can load options into Select after its initialization from a separate JS file. First, prepare a file with data, name it "userlist" and export the desired data set:
export const users = [
{
id: 87,
label: "Berni Mayou"
},
{
id: 97,
label: "August Dvorak"
},
{
id: 98,
label: "Elly Soyer"
}
];
When a data set is ready, you can import it into your application and set the name of the data set as a value of the options property:
import { Select } from "@svar-ui/react-core";
import { users } from "../your_data/userlist";
export default function App() {
return <Select options={users} />;
}
Related sample: Select
Setting the value
You can specify which one of the provided options should be rendered in the input field of the control. Use the value property to set the id of the selected value:
import { Select } from "@svar-ui/react-core";
const dataset = [
{ id: 1, label: "First option" },
{ id: 2, label: "Second option" },
{ id: 3, label: "Third option" }
];
export default function App() {
return <Select options={dataset} value={1} />;
}

If the value isn't set, the text field will be rendered empty. Here's where a placeholder may be useful.

Related sample: Select
Getting the current value
You can get the value of the option selected at the moment. For this, you need to:
- specify a state variable that will contain the Select value (it may contain the initial value):
import { useState } from "react";
import { Select } from "@svar-ui/react-core";
const dataset = [
{ id: 1, label: "First option" },
{ id: 2, label: "Second option" },
{ id: 3, label: "Third option" }
];
export default function App() {
const [selected, setSelected] = useState(2);
return (
<Select
options={dataset}
value={selected}
onChange={({ value }) => setSelected(value)}
/>
);
}
In React you bind the Select to a state variable via the value prop and update it in the onChange handler. The Select's onChange handler receives an object with the value (the id of the newly selected option).
Related sample: Select
Catching the change of the selected option
In case you need to catch the change of the selected option, you can do it by handling the change event - in React this is the onChange prop. Inside the event you can get the value of the newly selected option in the following way:
function handleChange({ value }) {
console.log(value);
// id of a new selected option
}
export default function App() {
return <Select options={dataset} onChange={handleChange} />;
}
The handler function of the change event takes an object with an id of the newly selected option.
Configuring the text of the selected option
You can specify the text of which field to show in the input for the selected option. To complete this task, use the textField property. As a value of this property you need to set the key of the field, the text of which you want to display in the input when the option is selected. The default value is "label".
import { Select } from "@svar-ui/react-core";
const users = [
{
id: 1,
label: "Berni Mayou",
email: "bern.mayour@mail.com",
},
{
id: 2,
label: "August Dvorak",
email: "dvor.august@gmail.com",
},
{
id: 3,
label: "Elly Soyer",
email: "elly.soyer@example",
}
];
export default function App() {
return <Select options={users} textField="email" />;
}
In the above example the list of options displays the values of the label attributes. The textField property defines that the value of the email attribute is shown in the text field on selection of an option from the list.
Related sample: Select
Adding the Clear button
The Clear button allows clearing the selected option from the control's input.
To add the Clear button into the input, use the clear property:
import { Select } from "@svar-ui/react-core";
import { users } from "../your_data/userlist";
export default function App() {
return <Select options={users} clear />;
}
Related sample: Select
Adding a title
A title is a tooltip text that appears on hovering the mouse cursor over the input and may contain some extra information about the control. Use the title property to add a tooltip for a select:
import { Select } from "@svar-ui/react-core";
import { users } from "../your_data/userlist";
export default function App() {
return <Select error options={users} title="Invalid option" />;
}
Related sample: Select
Adding a placeholder for the text field
You can add a placeholder inside the text field of Select. The placeholder can contain some prompting message to make interaction with the control simpler. To set the text of a placeholder, use the placeholder property:
import { Select } from "@svar-ui/react-core";
export default function App() {
return <Select placeholder="Select an option" />;
}
For a placeholder to be visible in the input, a select should be initialized without the initial value specified.
Setting the disabled state
Whenever you need to render a disabled select, you can do it with the help of the disabled property set to the true value:
import { Select } from "@svar-ui/react-core";
export default function App() {
return <Select disabled={true} />;
}
It is also possible to set a select to the disabled state by declaring the property with no value:
import { Select } from "@svar-ui/react-core";
export default function App() {
return <Select disabled />;
}
Related sample: Select
Adding a label
A default select has no label. To add it, you can use the Field component and complete several steps:
- include the Field source file on a page, declare the
<Field>tag and complete it with the necessary props:- add a desired label via the
labelproperty - optionally, set the
position="left"property, if you want to place the label to the left of the select
- add a desired label via the
import { Select, Field } from "@svar-ui/react-core";
export default function App() {
return <Field label="Details" position="left" />;
}
After that, wrap the select into the <Field> tag. The Field component automatically generates an id for the inner control, which creates label-input association.
import { Select, Field } from "@svar-ui/react-core";
export default function App() {
return (
<Field label="Details" position="left">
<Select />
</Field>
);
}
Related sample: Select
Styling an option validation error
When you use a select inside a form and a wrong option value is passed to the control, you can use error styling to show that validation has failed. Once you've set the error property to true (or just specified the property without a value):
import { Select } from "@svar-ui/react-core";
export default function App() {
return <Select error={true} />;
}
the input's border and the option's text become red. To make the label red as well, use the error property of the Field control.
import { Select, Field } from "@svar-ui/react-core";
export default function App() {
return (
<Field label="Error" error>
<Select error />
</Field>
);
}
Related sample: Select